from django.db import models
from retours.models import Retour
from clients.models import Client
from decimal import Decimal
from django.core.validators import MinValueValidator
from django.contrib.auth.models import User

# Create your models here.
class Facture_d_avoir(models.Model):
	retour = models.ForeignKey(Retour, on_delete=models.SET_NULL, null=True, blank=True)
	client = models.ForeignKey(Client, on_delete=models.SET_NULL, null=True, blank=True)
	num_facture_avoir = models.CharField(max_length=32, null=True, blank=True, unique = True,default = '0' )
	date_facture_avoir = models.DateField(null=True, blank=True)
	
	statut = models.CharField(max_length = 59,blank=True , null=True)
	frai_expedition = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	ajustement = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	total = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
	sous_total = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True)
	solde = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True,default=0)
	reste = models.DecimalField(max_digits=19, decimal_places=2 , blank=True , null=True,default=0)
	information_client = models.TextField(blank=True, null=True)
	user = models.ForeignKey(User, on_delete=models.SET_NULL , null=True, blank=True )
	condition_general = models.TextField(blank=True, null=True)
	created_at = models.DateTimeField(auto_now_add=True)

